Index: branches/2.2/phpgwapi/setup/tables_update.inc.php
===================================================================
--- branches/2.2/phpgwapi/setup/tables_update.inc.php	(revision 5093)
+++ branches/2.2/phpgwapi/setup/tables_update.inc.php	(revision 5167)
@@ -145,3 +145,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+	$test[] = '2.2.8';
+	function phpgwapi_upgrade2_2_8()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.10';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: branches/2.2/news_admin/setup/setup.inc.php
===================================================================
--- branches/2.2/news_admin/setup/setup.inc.php	(revision 5093)
+++ branches/2.2/news_admin/setup/setup.inc.php	(revision 5167)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '2.2.8';
+	$setup_info['news_admin']['version']   = '2.2.10';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
Index: branches/2.2/news_admin/setup/tables_update.inc.php
===================================================================
--- branches/2.2/news_admin/setup/tables_update.inc.php	(revision 5093)
+++ branches/2.2/news_admin/setup/tables_update.inc.php	(revision 5167)
@@ -55,3 +55,9 @@
 		return $GLOBALS['setup_info']['news_admin']['currentver'];
 	}
+	$test[] = '2.2.8';
+	function news_admin_upgrade2_2_8()
+	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.2.10';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}
 ?>
Index: branches/2.2/mobile/setup/setup.inc.php
===================================================================
--- branches/2.2/mobile/setup/setup.inc.php	(revision 5093)
+++ branches/2.2/mobile/setup/setup.inc.php	(revision 5167)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.2.8';
+	$setup_info['mobile']['version']   = '2.2.10';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
Index: branches/2.2/jabberit_messenger/setup/setup.inc.php
===================================================================
--- branches/2.2/jabberit_messenger/setup/setup.inc.php	(revision 5093)
+++ branches/2.2/jabberit_messenger/setup/setup.inc.php	(revision 5167)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Expresso Messenger';
-	$setup_info['jabberit_messenger']['version']   	= '2.2.8';
+	$setup_info['jabberit_messenger']['version']   	= '2.2.10';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
Index: branches/2.2/contactcenter/setup/tables_update.inc.php
===================================================================
--- branches/2.2/contactcenter/setup/tables_update.inc.php	(revision 4350)
+++ branches/2.2/contactcenter/setup/tables_update.inc.php	(revision 5167)
@@ -69,3 +69,8 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}
+	$test[] = '2.2.3';
+	function contactcenter_upgrade2_2_3() {
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.10';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}
 ?>
Index: branches/2.2/contactcenter/setup/setup.inc.php
===================================================================
--- branches/2.2/contactcenter/setup/setup.inc.php	(revision 5104)
+++ branches/2.2/contactcenter/setup/setup.inc.php	(revision 5167)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.2.3';
+	$setup_info['contactcenter']['version']   = '2.2.10';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
Index: branches/2.2/calendar/setup/setup.inc.php
===================================================================
--- branches/2.2/calendar/setup/setup.inc.php	(revision 5093)
+++ branches/2.2/calendar/setup/setup.inc.php	(revision 5167)
@@ -13,5 +13,5 @@
 	$setup_info['calendar']['name']    = 'calendar';
 	$setup_info['calendar']['title']    = 'Calendar';
-	$setup_info['calendar']['version'] = '2.2.8';
+	$setup_info['calendar']['version'] = '2.2.10';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
Index: branches/2.2/calendar/setup/tables_update.inc.php
===================================================================
--- branches/2.2/calendar/setup/tables_update.inc.php	(revision 5093)
+++ branches/2.2/calendar/setup/tables_update.inc.php	(revision 5167)
@@ -98,3 +98,9 @@
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
+	$test[] = '2.2.8';
+	function calendar_upgrade2_2_8()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.10';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
 ?>
Index: branches/2.2/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- branches/2.2/expressoMail1_2/setup/tables_update.inc.php	(revision 5093)
+++ branches/2.2/expressoMail1_2/setup/tables_update.inc.php	(revision 5167)
@@ -131,3 +131,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}
+	$test[] = '2.2.8';
+	function expressoMail1_2_upgrade2_2_8() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.2.10';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}
 ?>
Index: branches/2.2/expressoMail1_2/setup/setup.inc.php
===================================================================
--- branches/2.2/expressoMail1_2/setup/setup.inc.php	(revision 5093)
+++ branches/2.2/expressoMail1_2/setup/setup.inc.php	(revision 5167)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.2.8';
+	$setup_info['expressoMail1_2']['version']   	= '2.2.10';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';