Index: trunk/phpgwapi/js/browser/browserDetect.js
===================================================================
--- trunk/phpgwapi/js/browser/browserDetect.js	(revision 5164)
+++ trunk/phpgwapi/js/browser/browserDetect.js	(revision 5183)
@@ -1,178 +1,40 @@
 (function()
 {		
-        // NAVIGATOR USER AGENT
-        var agt 		= navigator.userAgent.toLowerCase();
-        var appVer		= navigator.appVersion.toLowerCase();
+	// NAVIGATOR USER AGENT
+	var agt		= navigator.userAgent.toLowerCase();
+	var browser	= [['chrome',8,'chrome'],['epiphany',2,'epiphany'], ['firefox',3,'firefox'], ['iceweasel',3 ,'iceweasel'], ['msie',5,'msie'], ['safari', 5 ,'version']];
 
-        var is_minor            = parseFloat(appVer);
-        var is_major            = parseInt(is_minor);
-
-        var iePos		= appVer.indexOf('msie');
-
-        if ( iePos != -1 )
-        {
-            is_minor = parseFloat(appVer.substring(iePos+5,appVer.indexOf(';',iePos)));
-            is_major = parseInt(is_minor);
-        }
-        
-        //Konqueror
-       
-        var is_konq = false;
-        var kqPos   = agt.indexOf('konqueror');
-        
-        if ( kqPos !=-1 )
-        {
-            is_konq  = true;
-            is_minor = parseFloat(agt.substring(kqPos+10,agt.indexOf(';',kqPos)));
-            is_major = parseInt(is_minor);
-        }
-
-        //Is_Khtml
-        var is_khtml 	= (((agt.indexOf('safari')!=-1) && (agt.indexOf('mac')!=-1)) && ( is_konq ));
-
-        //Is_Opera
-        var is_opera	= (agt.indexOf("opera") != -1 );
-
-        //Is_IE
-        var is_ie		= ((iePos!=-1) && (!is_opera) && (!is_khtml));
-
-        // Gecko
-        var is_gecko = ((!is_khtml)&&(navigator.product)&&(navigator.product.toLowerCase()=="gecko"))?true:false;
-        var is_gver  = 0;
-        
-        if (is_gecko)
-            is_gver = navigator.productSub;
-
-        // Moz
-        var is_moz   = ((agt.indexOf('mozilla/5')!=-1) && (agt.indexOf('spoofer')==-1) &&
-                        (agt.indexOf('compatible')==-1) && (agt.indexOf('opera')==-1)  &&
-                        (agt.indexOf('webtv')==-1) && (agt.indexOf('hotjava')==-1)     &&
-                        (is_gecko) && ((navigator.vendor=="")||(navigator.vendor=="Mozilla")));
-
-        var _browser = [
-
-            // Chrome	
-            ['chrome8', ( agt.indexOf('chrome/8') != -1 ) ],
-            ['chrome11', ( agt.indexOf('chrome/11') != -1 ) ],
-
-            // EPIPHANY	
-            ['epiphany2', ( agt.indexOf('epiphany/2') != -1 ) ],
-
-            // FIREFOX
-            ['firefox1', ( agt.indexOf('firefox/1') != -1 ) ],
-            ['firefox2', ( agt.indexOf('firefox/2') != -1 ) ],
-            ['firefox3', ( agt.indexOf('firefox/3') != -1 ) ],
-            ['firefox4', ( agt.indexOf('firefox/4') != -1 ) ],
-            ['firefox5', ( agt.indexOf('firefox/5') != -1 ) ],
-            ['firefox6', ( agt.indexOf('firefox/6') != -1 ) ],
-
-            // ICEWEASEL
-            ['iceweasel3', (agt.indexOf('iceweasel/3') != -1 ) ],
-
-            // IE
-            ['ie3',	(((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major < 4 )) ],
-            ['ie4', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 4 )) ],
-            ['ie5', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 5 )) ],
-            ['ie55', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (agt.indexOf("msie 5.5") !=-1 )) ], 
-            ['ie6', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 6 )) ],
-            ['ie7', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 7 )) ],
-            ['ie8', (((iePos!=-1) && (!is_opera) && (!is_khtml)) && (is_major == 8 )) ],
-
-            //IS?
-            ['is_ie', ((iePos!=-1) && (!is_opera) && (!is_khtml)) ],
-            ['is_gecko', is_gecko ],
-            ['is_opera', is_opera ],
-            ['is_khtml', is_khtml ],
-            ['is_moz', is_moz ],
-
-            // OPERA
-            ['is_opera', is_opera],
-            ['opera2', ( agt.indexOf("opera 2") != -1 || agt.indexOf("opera/2") != -1) ],
-            ['opera3', ( agt.indexOf("opera 3") != -1 || agt.indexOf("opera/3") != -1) ],
-            ['opera4', ( agt.indexOf("opera 4") != -1 || agt.indexOf("opera/4") != -1) ],
-            ['opera5', ( agt.indexOf("opera 5") != -1 || agt.indexOf("opera/5") != -1) ],
-            ['opera6', ( agt.indexOf("opera 6") != -1 || agt.indexOf("opera/6") != -1) ],
-            ['opera7', ( agt.indexOf("opera 7") != -1 || agt.indexOf("opera/7") != -1) ],
-            ['opera8', ( agt.indexOf("opera 8") != -1 || agt.indexOf("opera/8") != -1) ],
-            ['opera9', ( agt.indexOf("opera 9") != -1 || agt.indexOf("opera/9") != -1) ],
-
-            // IS SAFARI/KHTML
-            ['safari', ( agt.indexOf('safari') != -1 ) ],
-            ['khtml', is_khtml ]
-        ];
-
-        function isLoadApp()
-        {
-        	var Browser = new Array();
-
-        	// Chrome;
-        	Browser	=	[ 
-	        				// Chrome;
-	        				{navigator : "chrome11"},         	
-	        				// Epiphany
-	        				{navigator : "epiphany2"},         	
-	        				// Firefox;
-	        				{navigator : "firefox3"},			
-				        	{navigator : "firefox4"},
-				        	{navigator : "firefox5"},
-				        	{navigator : "firefox6"},
-				        	//IceWeasel
-				        	{navigator : "iceweasel3"},		
-				        	// IE;
-				        	{navigator : "ie8"},
-	        		    	// Safari;
-				        	{navigator : "safari"}
-			        	];
-    
-        	if( arguments.length > 0 )
-        	{
-        		for(var i = 0; i < Browser.length; i++)
-	        	{
-	        		if( Browser[i].navigator.indexOf(arguments[0]) > -1  )
-	        		{
-	        			if( isCompatible(Browser[i].navigator) )
-	        				return true;
-	        		}
-	        	}
-        		
-        		return false;
-        	}
-        	else
-        	{
-        		return isCompatible(Browser);
-        	}
-        }
-
-        function isCompatible()
-        {
-            if( arguments.length > 0 )
-            {
-            	var _args = ( typeof(arguments[0]) === 'object' ) ? arguments[0] : arguments;
-            	
-            	for( i = 0; i < _args.length; i++ )
-                {
-                    for( j = 0; j < _browser.length; j++ )
-                    {
-                    	var navigator = _args[i].toString().toLowerCase();
-                    	
-                    	if( typeof(_args[i]) === 'object' )
-                    		var navigator = _args[i].navigator.toLowerCase();  
-                    	
-                		if ( navigator === _browser[j][0] )    
-                			if( _browser[j][1] )
-                				return true;
-                    }	
-                }
-
-                return false;
-            }
-        }
-
-        function SnifferBrowser(){}
-
-        SnifferBrowser.prototype.isLoadApp 		= isLoadApp;
-        SnifferBrowser.prototype.isCompatible	= isCompatible;
-
-        window.SnifferBrowser = new SnifferBrowser;
+	function isLoadApp()
+	{
+		for(var i = 0 ; i < browser.length; i++ )
+		{
+			if( arguments.length > 0 )
+			{
+				if( agt.indexOf(arguments[0]) != -1 )
+	    		{
+					return true;
+	    		}
+			}
+			else
+			{
+	    		if( agt.indexOf(browser[i][0]) != -1 )
+	    		{
+	    			var ver = parseInt(agt.substr(agt.indexOf(browser[i][2]) + (browser[i][2].length) + 1 ));
+	    			
+	    			if( ver >= browser[i][1] )
+	    			{
+	    				return true;
+	    			}
+	    		}
+			}
+		}
+		
+		return false;
+	}
+	
+	function SnifferBrowser(){}
+	
+	SnifferBrowser.prototype.isLoadApp 	= isLoadApp;
+	window.SnifferBrowser				= new SnifferBrowser;
 	
 })();
Index: trunk/phpgwapi/templates/default/xsl/navigatorCompatible.xsl
===================================================================
--- trunk/phpgwapi/templates/default/xsl/navigatorCompatible.xsl	(revision 5183)
+++ trunk/phpgwapi/templates/default/xsl/navigatorCompatible.xsl	(revision 5183)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="utf-8"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+	<xsl:output method="html" omit-xml-declaration="yes"/>
+
+	<xsl:param name="path" />
+
+	<xsl:template match="navigator">
+
+
+		<div style="font:9pt; margin:2px 5px 2px 5px; text-align:justify;">
+			<p>
+			Seu navegador Ã© <span style="color:red;font-weight: bold;">incompatÃ­vel</span> 
+			com o serviÃ§o de mensagem instantÃ¢nea do expresso.
+			Favor instalar ou atualizar a versÃ£o do seu navegador,
+			solicite a sua Ã¡rea de suporte local a instalaÃ§Ã£o.
+			</p>
+		</div>
+		
+		<div style="height: 285px; font:9pt; margin:0px 5px 2px 5px; text-align: justify; overflow-y:scroll;">
+			<p style="font-weight:bold;">:: Navegadores CompatÃ­veis ::</p>
+			
+			<fieldset style="margin-bottom:10px;">
+				<legend><img src="{$path}images/compatible_epiphany.png" align="middle"/><span style="margin:5px;">Epiphany</span></legend>
+				<span> VersÃ£o : 2.22 ou superior </span><br/>
+				<span> AvaliaÃ§Ã£o : <span style="color:red;font-weight:bold;">Ideal para o uso</span></span>
+			</fieldset>
+			
+			<fieldset style="margin-bottom:10px;">
+				<legend><img src="{$path}images/compatible_iceweasel.png" align="middle"/><span style="margin:5px;">Iceweasel</span></legend>
+				<span> VersÃ£o : 3.06 ou superior </span><br/>
+				<span> AvaliaÃ§Ã£o : <span style="color:red;font-weight:bold;">Ideal para o uso</span></span>
+			</fieldset>
+			
+			<fieldset style="margin-bottom:10px;">
+				<legend><img src="{$path}images/compatible_ie.gif" align="middle" /><span style="margin:5px;">Internet Explorer ( IE )</span></legend>
+				<span> VersÃ£o : 8.0 </span><br/>
+				<span> AvaliaÃ§Ã£o : Recomendado</span>
+			</fieldset>
+		
+			<fieldset>
+				<legend><img src="{$path}images/compatible_firefox.gif" align="middle"/><span style="margin:5px;">Mozilla Firefox</span></legend>
+				<span> VersÃ£o : 3.0 ou superior </span><br/>
+				<span> AvaliaÃ§Ã£o : <span style="color:red;font-weight:bold;">Ideal para o uso</span></span>
+			</fieldset>
+		</div>		
+		
+	</xsl:template>
+
+</xsl:stylesheet>
Index: trunk/jabberit_messenger/setup/setup.inc.php
===================================================================
--- trunk/jabberit_messenger/setup/setup.inc.php	(revision 5041)
+++ trunk/jabberit_messenger/setup/setup.inc.php	(revision 5183)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Expresso Messenger';
-	$setup_info['jabberit_messenger']['version']   	= '2.2.6';
+	$setup_info['jabberit_messenger']['version']   	= '2.2.10';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
Index: trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.js
===================================================================
--- trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 5041)
+++ trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.js	(revision 5183)
@@ -1664,5 +1664,5 @@
         // Necessário para não ocasionar problema no ExpressoMail
         // quando os itens abaixo não são criados pelo próprio ExpressoMail
-        if( SnifferBrowser.isCompatible('is_ie') )
+        if( SnifferBrowser.isLoadApp('msie') )
         {
             configEvents( window, 'onload', function( )
Index: trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js
===================================================================
--- trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 5041)
+++ trunk/jabberit_messenger/jmessenger/js/jscode/loadIM.mini.js	(revision 5183)
@@ -325,5 +325,5 @@
 {TrophyIM.load();}}},1500);autoStatus();configEvents(document,'onmousemove',autoStatus);configEvents(document,'onkeypress',autoStatus);},2000);}}
 loadIM.prototype.adIcon=addIcon;loadIM.prototype.actionButton=actionButton;loadIM.prototype.addContact=addContact;loadIM.prototype.addNewUser=addNewUser;loadIM.prototype.clrAllContacts=clrAllContacts;loadIM.prototype.configEvents=configEvents;loadIM.prototype.createChatRooms=createChatRooms;loadIM.prototype.disabledNotificationNewUsers=disabledNotificationNewUsers;loadIM.prototype.enabledNotificationNewUsers=enabledNotificationNewUsers;loadIM.prototype.getListRooms=getListRooms;loadIM.prototype.getBrowserCompatible=getBrowserCompatible;loadIM.prototype.getPhotoUser=getPhotoUser;loadIM.prototype.getSmiles=getSmiles;loadIM.prototype.getStatusUserIM=getStatusUserIM;loadIM.prototype.getStatusMessage=getStatusMessage;loadIM.prototype.getShowContactsOffline=getShowContactsOffline;loadIM.prototype.getUserCurrent=getUserCurrent;loadIM.prototype.getZIndex=getZindex;loadIM.prototype.groupsHidden=groupsHidden;loadIM.prototype.groupsVisible=groupsVisible;loadIM.prototype.joinRoom=joinRoom;loadIM.prototype.keyPressSearch=keyPressSearch;loadIM.prototype.listRooms=listRooms;loadIM.prototype.loginPage=loginPage;loadIM.prototype.notification=notificationNewMessage;loadIM.prototype.parse=parse;loadIM.prototype.preferences=preferences;loadIM.prototype.searchUser=searchUser
-loadIM.prototype.setAutorization=setAutorization;loadIM.prototype.setMessageStatus=setMessageStatus;loadIM.prototype.setPreferences=setPreferences;loadIM.prototype.setPresence=setPresence;loadIM.prototype.setStatusJabber=setStatusJabber;loadIM.prototype.setSelectEditable=setSelectEditable;loadIM.prototype.setUserCurrent=setUserCurrent;loadIM.prototype.removeContact=removeContact;loadIM.prototype.removeElement=removeElement;loadIM.prototype.removeGroup=removeGroup;loadIM.prototype.renameContact=renameContact;loadIM.prototype.renameGroup=renameGroup;loadIM.prototype.rosterDiv=rosterDiv;loadIM.prototype.windowNotificationNewUsers=windowNotificationNewUsers;loadIM.prototype.windowPOPUP=windowPOPUP;window.LoadIM=loadIM;if(SnifferBrowser.isCompatible('is_ie'))
+loadIM.prototype.setAutorization=setAutorization;loadIM.prototype.setMessageStatus=setMessageStatus;loadIM.prototype.setPreferences=setPreferences;loadIM.prototype.setPresence=setPresence;loadIM.prototype.setStatusJabber=setStatusJabber;loadIM.prototype.setSelectEditable=setSelectEditable;loadIM.prototype.setUserCurrent=setUserCurrent;loadIM.prototype.removeContact=removeContact;loadIM.prototype.removeElement=removeElement;loadIM.prototype.removeGroup=removeGroup;loadIM.prototype.renameContact=renameContact;loadIM.prototype.renameGroup=renameGroup;loadIM.prototype.rosterDiv=rosterDiv;loadIM.prototype.windowNotificationNewUsers=windowNotificationNewUsers;loadIM.prototype.windowPOPUP=windowPOPUP;window.LoadIM=loadIM;if(SnifferBrowser.isLoadApp('msie'))
 {configEvents(window,'onload',function()
 {if(!document.getElementById('cc_msg_err_serialize_data_unknown'))
Index: trunk/jabberit_messenger/js/show_hidden.js
===================================================================
--- trunk/jabberit_messenger/js/show_hidden.js	(revision 3102)
+++ trunk/jabberit_messenger/js/show_hidden.js	(revision 5183)
@@ -2,11 +2,9 @@
 {
 	var _delay;
+	var _event_show 	= false;
+	var _event_hidden	= false;
 
 	var _last_displayed;
 	var _timeout = false;
-
-	var _event_show = false;
-	var _event_hidden = false;
-	var count = 0;
 
 	function _config(pObj, pEvent, pHandler)
@@ -38,14 +36,19 @@
 		{
 			if( arguments[0] )
-				clearTimeout(_timeout);
+				clearTimeout( _timeout );
 			else
+			{
 				_timeout = setTimeout( hdObject, _delay);
 		}
+	}
 	}
 
 	function _show(_element)
 	{
+		if( !(_last_displayed && ( _last_displayed.id == _element.id )))
+		{
 		_element.style.display = 'block';
 		_last_displayed = _element;
+	}
 	}
 
@@ -77,4 +80,5 @@
 			{
 				var _element = false;
+				
 				switch ( typeof arguments[2] )
 				{
@@ -82,4 +86,5 @@
 						_element = arguments[2];
 					break;
+					
 					case 'string' :
 						_element = document.getElementById(arguments[2]);
@@ -98,7 +103,9 @@
 	}
 
+	
 	ShowHidden.prototype.action  = _view;
 	ShowHidden.prototype.hiddenObject = _hidden;
+    
     window.ShowHidden = ShowHidden;
-}
-)();
+    
+})();
Index: trunk/jabberit_messenger/js/load.js
===================================================================
--- trunk/jabberit_messenger/js/load.js	(revision 5041)
+++ trunk/jabberit_messenger/js/load.js	(revision 5183)
@@ -115,54 +115,54 @@
 			
 			configEvents(_menu_div,'onclick', windowShow);
-
-			configEvents(
-				_status,
-				'onclick',
-				function()
+            configEvents( _status, 'onclick', function(){fastMenu(_status);});
+		}
+	}
+
+    function fastMenu()
 				{
+        if( arguments.length > 0 )
+        {
+            var element = arguments[0];
+
 					var _options = [
-						['Add Contact', addContacts],
-						['Help', helpJabberit],
-						['Preferences', preferences],
-						['Change Status', subMenuChangeStatus]
+	                            ['Add Contact', 'loadscript.addContacts();'],
+	                            ['Help', 'loadscript.helpJabberit();'],
+	                            ['Preferences', 'loadscript.preferences();']
 					];
 
-					var _style_text = 'cursor: pointer;' +
-									  'padding:2px 2px 2px 15px;' +
-									  'background: no-repeat url(' + jabberit_group_close.src + ');';					
-
-					var _xml = Xtools.xml('menu');
-					var _option;
-					var _item;
-					var _action;
-					var _style;
-
-					for ( var i in _options )
+            var _itens = "";
+
+            for( var i in _options )
 					{
-						_option = _xml.createElement('option');
-
-						_item = _xml.createElement('item');
-						_item.appendChild(_xml.createTextNode(jabberitGetLang(_options[i][0])));
+                if( _options[i].constructor == Function )
+                    continue;
 						
-						_style = _xml.createElement('style');
-						_style.appendChild(_xml.createTextNode(_style_text));
-
-						_option.appendChild(_item);
-						_option.appendChild(_style);
-
-						_xml.documentElement.appendChild(_option);
-					}
-
-					_menu.innerHTML = Xtools.parse(_xml, 'options.xsl');
-					_showhidden.action('onmouseover', 'onmouseout', _menu);
-
-					_item = _menu.firstChild;
-
-					for ( var i in _options )
-					{
-						_item.childNodes[i].setAttribute('presence', _options[i]);
-						configEvents( _item.childNodes[i], 'onclick', _options[i][1] );
-					}
-				});
+                _itens += '<img src="'+jabberit_group_close.src +'"/>';
+                _itens += '<span style="cursor:pointer; margin:3px;" onclick='+_options[i][1]+'>';
+                _itens += jabberitGetLang( _options[i][0] ) + '</span><br/>';
+            }
+		
+            var _optionsItens 		= document.createElement("div");
+            	_optionsItens.id	= "fastMenu_Jabber";				
+            	_optionsItens.style.marginTop	= "19px";
+            	_optionsItens.style.marginLeft	= "-8px";
+            	_optionsItens.className		= "x-menu";
+            	_optionsItens.style.zIndex	= '999999';
+            	_optionsItens.innerHTML		= _itens;
+            	_optionsItens.onclick		= function(){
+                _showhidden.hiddenObject(false);
+            };
+
+            _optionsItens.onmouseout = function(){
+                _showhidden.hiddenObject(false);
+            };
+
+            _optionsItens.onmouseover = function(){
+                _showhidden.hiddenObject(true);
+            };	
+
+            _showhidden.action('onmouseover', 'onmouseout', _optionsItens);
+
+            element.parentNode.appendChild( _optionsItens );
 		}
 	}
@@ -627,118 +627,4 @@
 	}
 
-	function subMenuChangeStatus()
-	{
-		if(document.getElementById('subMenu_Change_Status_JabberIt') == null )
-		{
-			var _itens  = [
-								['Online', 'loadscript.subMnChStIt("2",this);', 'available_jabberit.src','jabberit_group_close.src'],
-								['Free For Chat', 'loadscript.subMnChStIt("1",this);', 'chat_jabberit.src','jabberit_group_close.src'],
-								['Xa', 'loadscript.subMnChStIt("3",this);','xa_jabberit.src','jabberit_group_close.src'],
-								['Dnd', 'loadscript.subMnChStIt("4",this);','dnd_jabberit.src','jabberit_group_close.src'],
-								['Away', 'loadscript.subMnChStIt("5",this);','away_jabberit.src','jabberit_group_close.src'],
-								['Invisible', 'loadscript.subMnChStIt("6",this);','invisible_jabberit.src']
-						  ];
-	
-			var _itensMenu = "<dl style='margin:2px 2px !important; font-size:8pt !important;'>";
-			
-			for(var i in _itens)
-			{
-				_itensMenu += '<dt onmouseover="elementOnMouseOver(this);" onmouseout="elementOnMouseOut(this, false);" style="cursor: pointer;">';
-				_itensMenu += "<div ";
-				if( _itens[i][3] )
-					_itensMenu += "style='background: url(" + eval(_itens[i][3]) + ") no-repeat center right'";
-				_itensMenu += "onclick="+_itens[i][1] +"><img src='" + eval(_itens[i][2]) + "' style='margin-right:3px;'/>" + jabberitGetLang(_itens[i][0]) + "</div></dt>";
-			}
-
-			_itensMenu += "</dl>";
-	
-			var _subMenu_div = document.createElement("div");
-				_subMenu_div.setAttribute('id','subMenu_Change_Status_JabberIt');
-				_subMenu_div.className		= 'x-subMenuChangeStatus';
-				_subMenu_div.style.left		= '55px'; 
-				_subMenu_div.style.width	= ( is_ie ) ? '160px': '140px';;
-				_subMenu_div.style.zindex	= '99999';
-				_subMenu_div.innerHTML		= _itensMenu; 
-	
-			var elementParent = document.getElementById('fast_menu_jabberit');
-			elementParent.appendChild(_subMenu_div);
-			
-			setItensStatusMenu();
-		}
-	}
-	
-	function subMenuChangeStatusItens()
-	{
-		if( arguments.length > 0 )
-		{
-			var status	= arguments[0];
-			var element	= arguments[1];
-			var msg		= "";
-
-			if( itensSubMenu.length > 0 )
-			{
-				var string = "";
-				for( var i = 0; i < itensSubMenu.length ; i++ )
-				{
-					if( itensSubMenu[i] != undefined )
-					{
-						string = itensSubMenu[i].substring(1);
-						string = string.substring(0, string.indexOf("]")).toString();
-
-						if( string != "" )
-						{
-							if( status == i )
-							{
-								if ( ! ( string.indexOf( ',' ) < 0 ) )
-								{
-									var phases = string.split(',');
-									var _itensMenu = "<dl style='padding:1px !important; margin:2px 2px !important;font-size:8pt !important;'>";
-									for ( var m = 0; m < phases.length; m++ )
-									{
-										_itensMenu += "<dt onmouseover='elementOnMouseOver(this);' onmouseout='elementOnMouseOut(this, false);' style='cursor: pointer;'>";
-										_itensMenu += "<div onclick='loadscript.chgStatusJava(\""+i+"\", \""+phases[m]+"\")'><img src='" + jabberit_group_close.src + "' style='margin-right:3px;'/>" + phases[m] + "</div></dt>";	
-									}
-									_itensMenu += "</dl>";
-								}
-								else
-								{
-									var _itensMenu  = "<dl style='padding:1px !important; margin:2px 2px !important;font-size:8pt !important;'>";
-										_itensMenu += "<dt onmouseover='elementOnMouseOver(this);' onmouseout='elementOnMouseOut(this, false);' style='cursor: pointer;'>";								
-										_itensMenu += "<div onclick='loadscript.chgStatusJava(\""+i+"\", \""+string+"\");'><img src='" + jabberit_group_close.src + "' style='margin-right:3px;'/>" + string + "</div></dt>";
-										_itensMenu += "</dl>";
-								}
-							}
-
-							for( var j = 0 ; j < 6 ; j++ )
-							{
-								if( document.getElementById('ItemSubMenuJabberd_' + j) != null )
-								{
-									var ElementItem = document.getElementById('ItemSubMenuJabberd_' + j);
-										ElementItem.parentNode.removeChild(ElementItem);
-								}
-							}
-						}
-					}
-				}
-				
-				if( _itensMenu ) 
-				{
-					var _subMenuItem_div = document.createElement("div");
-					_subMenuItem_div.setAttribute('id','ItemSubMenuJabberd_' + status);
-					_subMenuItem_div.className		= "x-subMenuChangeStatusItens";	
-					_subMenuItem_div.style.margin	= ( is_ie ) ? '-3px 5px 0px 0px' : '-20px 5px 0px 0px';
-					_subMenuItem_div.style.left		= ( is_ie ) ? '157px' : '140px'; 
-					_subMenuItem_div.style.width	= ( is_ie ) ? '180px': '160px';
-					_subMenuItem_div.style.zindex	= '99999';
-					_subMenuItem_div.innerHTML		= _itensMenu; 
-					
-					element.appendChild( _subMenuItem_div );
-					
-				}else
-					changeStatusJava(status,"");
-			}
-		}
-	}
-
 	function Load()
 	{
@@ -753,4 +639,5 @@
 
 	Load.prototype.adIcon			= addIcon;
+	Load.prototype.addContacts		= addContacts;
 	Load.prototype.addUser			= addUser;
 	Load.prototype.autoStatusIM		= autoStatus;
@@ -758,11 +645,11 @@
 	Load.prototype.closeW			= closeWindow;
 	Load.prototype.getElement		= getElementStatus;
+	Load.prototype.helpJabberit		= helpJabberit;
 	Load.prototype.keyPress			= keyPressSearch;
 	Load.prototype.openPopup		= openPopup;
+	Load.prototype.preferences		= preferences;	
 	Load.prototype.search			= searchUser;
 	Load.prototype.setPrefe 		= setPreferences;
-	Load.prototype.subMnChStIt		= subMenuChangeStatusItens;
 	Load.prototype.windowHidden		= windowHidden;
-	
 	
 	configEvents(window, 'onload', function(){ window.loadscript = new Load; });